diff --git a/strongswan-5.2.0/configure.ac b/strongswan-5.2.0/configure.ac
index 8f4d763..b84fce1 100644
--- a/strongswan-5.2.0/configure.ac
+++ b/strongswan-5.2.0/configure.ac
@@ -1145,162 +881,44 @@ m4_include(m4/macros/add-plugin.m4)
 # plugin lists for all components
 charon_plugins=
 starter_plugins=
-pool_plugins=
-attest_plugins=
-scepclient_plugins=
-pki_plugins=
 scripts_plugins=
-manager_plugins=
-medsrv_plugins=
-nm_plugins=
-cmd_plugins=
-aikgen_plugins=
 
 # location specific lists for checksumming,
-# for src/libcharon, src/libhydra, src/libstrongswan and src/libtnccs
+# for src/libcharon, src/libhydra and src/libstrongswan
 c_plugins=
 h_plugins=
 s_plugins=
-t_plugins=
-
-ADD_PLUGIN([test-vectors],         [s charon scepclient pki])
-ADD_PLUGIN([curl],                 [s charon scepclient pki scripts nm cmd])
-ADD_PLUGIN([winhttp],              [s charon pki scripts])
-ADD_PLUGIN([soup],                 [s charon pki scripts nm cmd])
-ADD_PLUGIN([unbound],              [s charon scripts])
-ADD_PLUGIN([ldap],                 [s charon scepclient scripts nm cmd])
-ADD_PLUGIN([mysql],                [s charon pool manager medsrv attest])
-ADD_PLUGIN([sqlite],               [s charon pool manager medsrv attest])
-ADD_PLUGIN([pkcs11],               [s charon pki nm cmd])
-ADD_PLUGIN([aes],                  [s charon scepclient pki scripts nm cmd])
-ADD_PLUGIN([des],                  [s charon scepclient pki scripts nm cmd])
-ADD_PLUGIN([blowfish],             [s charon scepclient pki scripts nm cmd])
-ADD_PLUGIN([rc2],                  [s charon scepclient pki scripts nm cmd])
-ADD_PLUGIN([sha1],                 [s charon scepclient pki scripts medsrv attest nm cmd aikgen])
-ADD_PLUGIN([sha2],                 [s charon scepclient pki scripts medsrv attest nm cmd aikgen])
-ADD_PLUGIN([md4],                  [s charon manager scepclient pki nm cmd])
-ADD_PLUGIN([md5],                  [s charon scepclient pki scripts attest nm cmd aikgen])
-ADD_PLUGIN([rdrand],               [s charon scepclient pki scripts medsrv attest nm cmd aikgen])
-ADD_PLUGIN([random],               [s charon scepclient pki scripts medsrv attest nm cmd aikgen])
-ADD_PLUGIN([nonce],                [s charon nm cmd aikgen])
-ADD_PLUGIN([x509],                 [s charon scepclient pki scripts attest nm cmd aikgen])
-ADD_PLUGIN([revocation],           [s charon pki nm cmd])
-ADD_PLUGIN([constraints],          [s charon nm cmd])
-ADD_PLUGIN([acert],                [s charon])
-ADD_PLUGIN([pubkey],               [s charon cmd aikgen])
-ADD_PLUGIN([pkcs1],                [s charon scepclient pki scripts manager medsrv attest nm cmd aikgen])
-ADD_PLUGIN([pkcs7],                [s charon scepclient pki scripts nm cmd])
-ADD_PLUGIN([pkcs8],                [s charon scepclient pki scripts manager medsrv attest nm cmd])
-ADD_PLUGIN([pkcs12],               [s charon scepclient pki scripts cmd])
-ADD_PLUGIN([pgp],                  [s charon])
-ADD_PLUGIN([dnskey],               [s charon pki])
-ADD_PLUGIN([sshkey],               [s charon pki nm cmd])
-ADD_PLUGIN([dnscert],              [c charon])
-ADD_PLUGIN([ipseckey],             [c charon])
-ADD_PLUGIN([pem],                  [s charon scepclient pki scripts manager medsrv attest nm cmd aikgen])
-ADD_PLUGIN([padlock],              [s charon])
-ADD_PLUGIN([openssl],              [s charon scepclient pki scripts manager medsrv attest nm cmd aikgen])
-ADD_PLUGIN([gcrypt],               [s charon scepclient pki scripts manager medsrv attest nm cmd aikgen])
-ADD_PLUGIN([af-alg],               [s charon scepclient pki scripts medsrv attest nm cmd aikgen])
-ADD_PLUGIN([fips-prf],             [s charon nm cmd])
-ADD_PLUGIN([gmp],                  [s charon scepclient pki scripts manager medsrv attest nm cmd aikgen])
-ADD_PLUGIN([agent],                [s charon nm cmd])
-ADD_PLUGIN([keychain],             [s charon cmd])
-ADD_PLUGIN([xcbc],                 [s charon nm cmd])
-ADD_PLUGIN([cmac],                 [s charon nm cmd])
-ADD_PLUGIN([hmac],                 [s charon scripts nm cmd])
-ADD_PLUGIN([ctr],                  [s charon scripts nm cmd])
-ADD_PLUGIN([ccm],                  [s charon scripts nm cmd])
-ADD_PLUGIN([gcm],                  [s charon scripts nm cmd])
-ADD_PLUGIN([ntru],                 [s charon scripts nm cmd])
+
+ADD_PLUGIN([aes],                  [s charon scripts])
+ADD_PLUGIN([contactcrypto],        [s charon scripts])
+ADD_PLUGIN([gmp],                  [s charon scripts])
+ADD_PLUGIN([sha1],                 [s charon scripts])
+ADD_PLUGIN([random],               [s charon scripts])
+ADD_PLUGIN([nonce],                [s charon])
+ADD_PLUGIN([x509],                 [s charon scripts])
+ADD_PLUGIN([revocation],           [s charon])
+ADD_PLUGIN([constraints],          [s charon])
+ADD_PLUGIN([pubkey],               [s charon])
+ADD_PLUGIN([usbbar],               [s charon scripts])
+ADD_PLUGIN([pem],                  [s charon scripts])
+ADD_PLUGIN([hmac],                 [s charon scripts])
 ADD_PLUGIN([attr],                 [h charon])
-ADD_PLUGIN([attr-sql],             [h charon])
-ADD_PLUGIN([load-tester],          [c charon])
-ADD_PLUGIN([kernel-libipsec],      [c charon cmd])
-ADD_PLUGIN([kernel-wfp],           [c charon])
-ADD_PLUGIN([kernel-iph],           [c charon])
-ADD_PLUGIN([kernel-pfkey],         [h charon starter nm cmd])
-ADD_PLUGIN([kernel-pfroute],       [h charon starter nm cmd])
-ADD_PLUGIN([kernel-netlink],       [h charon starter nm cmd])
-ADD_PLUGIN([resolve],              [h charon cmd])
-ADD_PLUGIN([socket-default],       [c charon nm cmd])
-ADD_PLUGIN([socket-dynamic],       [c charon cmd])
-ADD_PLUGIN([socket-win],           [c charon])
-ADD_PLUGIN([farp],                 [c charon])
+ADD_PLUGIN([kernel-libipsec],      [c charon])
+ADD_PLUGIN([kernel-netlink],       [h charon starter])
+ADD_PLUGIN([resolve],              [h charon])
+ADD_PLUGIN([socket-default],       [c charon])
 ADD_PLUGIN([stroke],               [c charon])
-ADD_PLUGIN([vici],                 [c charon])
-ADD_PLUGIN([smp],                  [c charon])
-ADD_PLUGIN([sql],                  [c charon])
+ADD_PLUGIN([eap-bsts],             [c charon])
 ADD_PLUGIN([updown],               [c charon])
-ADD_PLUGIN([eap-identity],         [c charon nm cmd])
-ADD_PLUGIN([eap-sim],              [c charon])
-ADD_PLUGIN([eap-sim-file],         [c charon])
-ADD_PLUGIN([eap-sim-pcsc],         [c charon])
-ADD_PLUGIN([eap-aka],              [c charon])
-ADD_PLUGIN([eap-aka-3gpp2],        [c charon])
-ADD_PLUGIN([eap-simaka-sql],       [c charon])
-ADD_PLUGIN([eap-simaka-pseudonym], [c charon])
-ADD_PLUGIN([eap-simaka-reauth],    [c charon])
-ADD_PLUGIN([eap-md5],              [c charon nm cmd])
-ADD_PLUGIN([eap-gtc],              [c charon nm cmd])
-ADD_PLUGIN([eap-mschapv2],         [c charon nm cmd])
-ADD_PLUGIN([eap-dynamic],          [c charon])
-ADD_PLUGIN([eap-radius],           [c charon])
-ADD_PLUGIN([eap-tls],              [c charon nm cmd])
-ADD_PLUGIN([eap-ttls],             [c charon nm cmd])
-ADD_PLUGIN([eap-peap],             [c charon nm cmd])
-ADD_PLUGIN([eap-tnc],              [c charon])
-ADD_PLUGIN([xauth-generic],        [c charon cmd])
-ADD_PLUGIN([xauth-eap],            [c charon])
-ADD_PLUGIN([xauth-pam],            [c charon])
-ADD_PLUGIN([xauth-noauth],         [c charon])
-ADD_PLUGIN([tnc-ifmap],            [c charon])
-ADD_PLUGIN([tnc-pdp],              [c charon])
-ADD_PLUGIN([tnc-imc],              [t charon])
-ADD_PLUGIN([tnc-imv],              [t charon])
-ADD_PLUGIN([tnc-tnccs],            [t charon])
-ADD_PLUGIN([tnccs-20],             [t charon])
-ADD_PLUGIN([tnccs-11],             [t charon])
-ADD_PLUGIN([tnccs-dynamic],        [t charon])
-ADD_PLUGIN([medsrv],               [c charon])
-ADD_PLUGIN([medcli],               [c charon])
 ADD_PLUGIN([dhcp],                 [c charon])
-ADD_PLUGIN([osx-attr],             [c charon cmd])
-ADD_PLUGIN([android-dns],          [c charon])
-ADD_PLUGIN([android-log],          [c charon])
-ADD_PLUGIN([ha],                   [c charon])
-ADD_PLUGIN([whitelist],            [c charon])
-ADD_PLUGIN([lookip],               [c charon])
-ADD_PLUGIN([error-notify],         [c charon])
-ADD_PLUGIN([certexpire],           [c charon])
-ADD_PLUGIN([systime-fix],          [c charon])
-ADD_PLUGIN([led],                  [c charon])
-ADD_PLUGIN([duplicheck],           [c charon])
-ADD_PLUGIN([coupling],             [c charon])
-ADD_PLUGIN([radattr],              [c charon])
-ADD_PLUGIN([maemo],                [c charon])
-ADD_PLUGIN([uci],                  [c charon])
-ADD_PLUGIN([addrblock],            [c charon])
-ADD_PLUGIN([unity],                [c charon])
-ADD_PLUGIN([unit-tester],          [c charon])
 
 AC_SUBST(charon_plugins)
 AC_SUBST(starter_plugins)
-AC_SUBST(pool_plugins)
-AC_SUBST(attest_plugins)
-AC_SUBST(scepclient_plugins)
-AC_SUBST(pki_plugins)
 AC_SUBST(scripts_plugins)
-AC_SUBST(manager_plugins)
-AC_SUBST(medsrv_plugins)
-AC_SUBST(nm_plugins)
-AC_SUBST(cmd_plugins)
-AC_SUBST(aikgen_plugins)
 
 AC_SUBST(c_plugins)
 AC_SUBST(h_plugins)
 AC_SUBST(s_plugins)
-AC_SUBST(t_plugins)
 
 # ======================
 #  set Makefile.am vars
@@ -1308,190 +926,60 @@ AC_SUBST(t_plugins)
 
 #  libstrongswan plugins
 # -----------------------
-AM_CONDITIONAL(USE_TEST_VECTORS, test x$test_vectors = xtrue)
-AM_CONDITIONAL(USE_CURL, test x$curl = xtrue)
-AM_CONDITIONAL(USE_WINHTTP, test x$winhttp = xtrue)
-AM_CONDITIONAL(USE_UNBOUND, test x$unbound = xtrue)
-AM_CONDITIONAL(USE_SOUP, test x$soup = xtrue)
-AM_CONDITIONAL(USE_LDAP, test x$ldap = xtrue)
 AM_CONDITIONAL(USE_AES, test x$aes = xtrue)
-AM_CONDITIONAL(USE_DES, test x$des = xtrue)
-AM_CONDITIONAL(USE_BLOWFISH, test x$blowfish = xtrue)
-AM_CONDITIONAL(USE_RC2, test x$rc2 = xtrue)
-AM_CONDITIONAL(USE_MD4, test x$md4 = xtrue)
-AM_CONDITIONAL(USE_MD5, test x$md5 = xtrue)
+AM_CONDITIONAL(USE_CONTACTCRYPTO, test x$contactcrypto = xtrue)
 AM_CONDITIONAL(USE_SHA1, test x$sha1 = xtrue)
-AM_CONDITIONAL(USE_SHA2, test x$sha2 = xtrue)
-AM_CONDITIONAL(USE_FIPS_PRF, test x$fips_prf = xtrue)
 AM_CONDITIONAL(USE_GMP, test x$gmp = xtrue)
-AM_CONDITIONAL(USE_RDRAND, test x$rdrand = xtrue)
 AM_CONDITIONAL(USE_RANDOM, test x$random = xtrue)
 AM_CONDITIONAL(USE_NONCE, test x$nonce = xtrue)
 AM_CONDITIONAL(USE_X509, test x$x509 = xtrue)
 AM_CONDITIONAL(USE_REVOCATION, test x$revocation = xtrue)
 AM_CONDITIONAL(USE_CONSTRAINTS, test x$constraints = xtrue)
-AM_CONDITIONAL(USE_ACERT, test x$acert = xtrue)
 AM_CONDITIONAL(USE_PUBKEY, test x$pubkey = xtrue)
-AM_CONDITIONAL(USE_PKCS1, test x$pkcs1 = xtrue)
-AM_CONDITIONAL(USE_PKCS7, test x$pkcs7 = xtrue)
-AM_CONDITIONAL(USE_PKCS8, test x$pkcs8 = xtrue)
-AM_CONDITIONAL(USE_PKCS12, test x$pkcs12 = xtrue)
-AM_CONDITIONAL(USE_PGP, test x$pgp = xtrue)
-AM_CONDITIONAL(USE_DNSKEY, test x$dnskey = xtrue)
-AM_CONDITIONAL(USE_SSHKEY, test x$sshkey = xtrue)
+AM_CONDITIONAL(USE_USBBAR, test x$usbbar = xtrue)
 AM_CONDITIONAL(USE_PEM, test x$pem = xtrue)
 AM_CONDITIONAL(USE_HMAC, test x$hmac = xtrue)
-AM_CONDITIONAL(USE_CMAC, test x$cmac = xtrue)
-AM_CONDITIONAL(USE_XCBC, test x$xcbc = xtrue)
-AM_CONDITIONAL(USE_MYSQL, test x$mysql = xtrue)
-AM_CONDITIONAL(USE_SQLITE, test x$sqlite = xtrue)
-AM_CONDITIONAL(USE_PADLOCK, test x$padlock = xtrue)
-AM_CONDITIONAL(USE_OPENSSL, test x$openssl = xtrue)
-AM_CONDITIONAL(USE_GCRYPT, test x$gcrypt = xtrue)
-AM_CONDITIONAL(USE_AGENT, test x$agent = xtrue)
-AM_CONDITIONAL(USE_KEYCHAIN, test x$keychain = xtrue)
-AM_CONDITIONAL(USE_PKCS11, test x$pkcs11 = xtrue)
-AM_CONDITIONAL(USE_CTR, test x$ctr = xtrue)
-AM_CONDITIONAL(USE_CCM, test x$ccm = xtrue)
-AM_CONDITIONAL(USE_GCM, test x$gcm = xtrue)
-AM_CONDITIONAL(USE_AF_ALG, test x$af_alg = xtrue)
-AM_CONDITIONAL(USE_NTRU, test x$ntru = xtrue)
 
 #  charon plugins
 # ----------------
 AM_CONDITIONAL(USE_STROKE, test x$stroke = xtrue)
-AM_CONDITIONAL(USE_VICI, test x$vici = xtrue)
-AM_CONDITIONAL(USE_MEDSRV, test x$medsrv = xtrue)
-AM_CONDITIONAL(USE_MEDCLI, test x$medcli = xtrue)
-AM_CONDITIONAL(USE_UCI, test x$uci = xtrue)
-AM_CONDITIONAL(USE_OSX_ATTR, test x$osx_attr = xtrue)
-AM_CONDITIONAL(USE_ANDROID_DNS, test x$android_dns = xtrue)
-AM_CONDITIONAL(USE_ANDROID_LOG, test x$android_log = xtrue)
-AM_CONDITIONAL(USE_MAEMO, test x$maemo = xtrue)
-AM_CONDITIONAL(USE_SMP, test x$smp = xtrue)
-AM_CONDITIONAL(USE_SQL, test x$sql = xtrue)
-AM_CONDITIONAL(USE_DNSCERT, test x$dnscert = xtrue)
-AM_CONDITIONAL(USE_IPSECKEY, test x$ipseckey = xtrue)
+AM_CONDITIONAL(USE_EAP_BSTS, test x$eap_bsts = xtrue)
+AM_CONDITIONAL(USE_SOCKET_DEFAULT, test x$socket_default = xtrue)
 AM_CONDITIONAL(USE_UPDOWN, test x$updown = xtrue)
 AM_CONDITIONAL(USE_DHCP, test x$dhcp = xtrue)
-AM_CONDITIONAL(USE_UNIT_TESTS, test x$unit_tester = xtrue)
-AM_CONDITIONAL(USE_LOAD_TESTER, test x$load_tester = xtrue)
-AM_CONDITIONAL(USE_HA, test x$ha = xtrue)
-AM_CONDITIONAL(USE_KERNEL_LIBIPSEC, test x$kernel_libipsec = xtrue)
-AM_CONDITIONAL(USE_KERNEL_WFP, test x$kernel_wfp = xtrue)
-AM_CONDITIONAL(USE_KERNEL_IPH, test x$kernel_iph = xtrue)
-AM_CONDITIONAL(USE_WHITELIST, test x$whitelist = xtrue)
-AM_CONDITIONAL(USE_LOOKIP, test x$lookip = xtrue)
-AM_CONDITIONAL(USE_ERROR_NOTIFY, test x$error_notify = xtrue)
-AM_CONDITIONAL(USE_CERTEXPIRE, test x$certexpire = xtrue)
-AM_CONDITIONAL(USE_SYSTIME_FIX, test x$systime_fix = xtrue)
-AM_CONDITIONAL(USE_LED, test x$led = xtrue)
-AM_CONDITIONAL(USE_DUPLICHECK, test x$duplicheck = xtrue)
-AM_CONDITIONAL(USE_COUPLING, test x$coupling = xtrue)
-AM_CONDITIONAL(USE_RADATTR, test x$radattr = xtrue)
-AM_CONDITIONAL(USE_EAP_SIM, test x$eap_sim = xtrue)
-AM_CONDITIONAL(USE_EAP_SIM_FILE, test x$eap_sim_file = xtrue)
-AM_CONDITIONAL(USE_EAP_SIM_PCSC, test x$eap_sim_pcsc = xtrue)
-AM_CONDITIONAL(USE_EAP_SIMAKA_SQL, test x$eap_simaka_sql = xtrue)
-AM_CONDITIONAL(USE_EAP_SIMAKA_PSEUDONYM, test x$eap_simaka_pseudonym = xtrue)
-AM_CONDITIONAL(USE_EAP_SIMAKA_REAUTH, test x$eap_simaka_reauth = xtrue)
-AM_CONDITIONAL(USE_EAP_IDENTITY, test x$eap_identity = xtrue)
-AM_CONDITIONAL(USE_EAP_MD5, test x$eap_md5 = xtrue)
-AM_CONDITIONAL(USE_EAP_GTC, test x$eap_gtc = xtrue)
-AM_CONDITIONAL(USE_EAP_AKA, test x$eap_aka = xtrue)
-AM_CONDITIONAL(USE_EAP_AKA_3GPP2, test x$eap_aka_3gpp2 = xtrue)
-AM_CONDITIONAL(USE_EAP_MSCHAPV2, test x$eap_mschapv2 = xtrue)
-AM_CONDITIONAL(USE_EAP_TLS, test x$eap_tls = xtrue)
-AM_CONDITIONAL(USE_EAP_TTLS, test x$eap_ttls = xtrue)
-AM_CONDITIONAL(USE_EAP_PEAP, test x$eap_peap = xtrue)
-AM_CONDITIONAL(USE_EAP_TNC, test x$eap_tnc = xtrue)
-AM_CONDITIONAL(USE_EAP_DYNAMIC, test x$eap_dynamic = xtrue)
-AM_CONDITIONAL(USE_EAP_RADIUS, test x$eap_radius = xtrue)
-AM_CONDITIONAL(USE_XAUTH_GENERIC, test x$xauth_generic = xtrue)
-AM_CONDITIONAL(USE_XAUTH_EAP, test x$xauth_eap = xtrue)
-AM_CONDITIONAL(USE_XAUTH_PAM, test x$xauth_pam = xtrue)
-AM_CONDITIONAL(USE_XAUTH_NOAUTH, test x$xauth_noauth = xtrue)
-AM_CONDITIONAL(USE_TNC_IFMAP, test x$tnc_ifmap = xtrue)
-AM_CONDITIONAL(USE_TNC_PDP, test x$tnc_pdp = xtrue)
-AM_CONDITIONAL(USE_TNC_IMC, test x$tnc_imc = xtrue)
-AM_CONDITIONAL(USE_TNC_IMV, test x$tnc_imv = xtrue)
-AM_CONDITIONAL(USE_TNC_TNCCS, test x$tnc_tnccs = xtrue)
-AM_CONDITIONAL(USE_TNCCS_11, test x$tnccs_11 = xtrue)
-AM_CONDITIONAL(USE_TNCCS_20, test x$tnccs_20 = xtrue)
-AM_CONDITIONAL(USE_TNCCS_DYNAMIC, test x$tnccs_dynamic = xtrue)
-AM_CONDITIONAL(USE_IMC_TEST, test x$imc_test = xtrue)
-AM_CONDITIONAL(USE_IMV_TEST, test x$imv_test = xtrue)
-AM_CONDITIONAL(USE_IMC_SCANNER, test x$imc_scanner = xtrue)
-AM_CONDITIONAL(USE_IMV_SCANNER, test x$imv_scanner = xtrue)
-AM_CONDITIONAL(USE_IMC_OS, test x$imc_os = xtrue)
-AM_CONDITIONAL(USE_IMV_OS, test x$imv_os = xtrue)
-AM_CONDITIONAL(USE_IMC_ATTESTATION, test x$imc_attestation = xtrue)
-AM_CONDITIONAL(USE_IMV_ATTESTATION, test x$imv_attestation = xtrue)
-AM_CONDITIONAL(USE_IMC_SWID, test x$imc_swid = xtrue)
-AM_CONDITIONAL(USE_IMV_SWID, test x$imv_swid = xtrue)
-AM_CONDITIONAL(USE_SOCKET_DEFAULT, test x$socket_default = xtrue)
-AM_CONDITIONAL(USE_SOCKET_DYNAMIC, test x$socket_dynamic = xtrue)
-AM_CONDITIONAL(USE_SOCKET_WIN, test x$socket_win = xtrue)
-AM_CONDITIONAL(USE_FARP, test x$farp = xtrue)
-AM_CONDITIONAL(USE_ADDRBLOCK, test x$addrblock = xtrue)
-AM_CONDITIONAL(USE_UNITY, test x$unity = xtrue)
 
 #  hydra plugins
 # ---------------
 AM_CONDITIONAL(USE_ATTR, test x$attr = xtrue)
-AM_CONDITIONAL(USE_ATTR_SQL, test x$attr_sql = xtrue)
 AM_CONDITIONAL(USE_KERNEL_NETLINK, test x$kernel_netlink = xtrue)
-AM_CONDITIONAL(USE_KERNEL_PFKEY, test x$kernel_pfkey = xtrue)
-AM_CONDITIONAL(USE_KERNEL_PFROUTE, test x$kernel_pfroute = xtrue)
+AM_CONDITIONAL(USE_KERNEL_LIBIPSEC, test x$kernel_libipsec = xtrue)
 AM_CONDITIONAL(USE_RESOLVE, test x$resolve = xtrue)
 
 #  other options
 # ---------------
 AM_CONDITIONAL(USE_LEAK_DETECTIVE, test x$leak_detective = xtrue)
 AM_CONDITIONAL(USE_LOCK_PROFILER, test x$lock_profiler = xtrue)
-AM_CONDITIONAL(USE_DUMM, test x$dumm = xtrue)
-AM_CONDITIONAL(USE_FAST, test x$fast = xtrue)
-AM_CONDITIONAL(USE_MANAGER, test x$manager = xtrue)
 AM_CONDITIONAL(USE_ME, test x$mediation = xtrue)
 AM_CONDITIONAL(USE_INTEGRITY_TEST, test x$integrity_test = xtrue)
 AM_CONDITIONAL(USE_LOAD_WARNING, test x$load_warning = xtrue)
 AM_CONDITIONAL(USE_IKEV1, test x$ikev1 = xtrue)
 AM_CONDITIONAL(USE_IKEV2, test x$ikev2 = xtrue)
 AM_CONDITIONAL(USE_THREADS, test x$threads = xtrue)
-AM_CONDITIONAL(USE_ADNS, test x$adns = xtrue)
 AM_CONDITIONAL(USE_CHARON, test x$charon = xtrue)
-AM_CONDITIONAL(USE_NM, test x$nm = xtrue)
-AM_CONDITIONAL(USE_PKI, test x$pki = xtrue)
-AM_CONDITIONAL(USE_SCEPCLIENT, test x$scepclient = xtrue)
 AM_CONDITIONAL(USE_SCRIPTS, test x$scripts = xtrue)
-AM_CONDITIONAL(USE_CONFTEST, test x$conftest = xtrue)
-AM_CONDITIONAL(USE_LIBSTRONGSWAN, test x$charon = xtrue -o x$pki = xtrue -o x$scepclient = xtrue -o x$conftest = xtrue -o x$fast = xtrue -o x$imcv = xtrue -o x$nm = xtrue -o x$tkm = xtrue -o x$cmd = xtrue -o x$tls = xtrue -o x$tnc_tnccs = xtrue -o x$aikgen = xtrue -o x$svc = xtrue)
-AM_CONDITIONAL(USE_LIBHYDRA, test x$charon = xtrue -o x$nm = xtrue -o x$tkm = xtrue -o x$cmd = xtrue -o x$svc = xtrue)
-AM_CONDITIONAL(USE_LIBCHARON, test x$charon = xtrue -o x$conftest = xtrue -o x$nm = xtrue -o x$tkm = xtrue -o x$cmd = xtrue -o x$svc = xtrue)
+AM_CONDITIONAL(USE_LIBSTRONGSWAN, test x$charon = xtrue)
+AM_CONDITIONAL(USE_LIBHYDRA, test x$charon = xtrue)
+AM_CONDITIONAL(USE_LIBCHARON, test x$charon = xtrue)
 AM_CONDITIONAL(USE_LIBIPSEC, test x$libipsec = xtrue)
-AM_CONDITIONAL(USE_LIBTNCIF, test x$tnc_tnccs = xtrue -o x$imcv = xtrue)
-AM_CONDITIONAL(USE_LIBTNCCS, test x$tnc_tnccs = xtrue)
-AM_CONDITIONAL(USE_LIBPTTLS, test x$tnc_tnccs = xtrue)
 AM_CONDITIONAL(USE_FILE_CONFIG, test x$stroke = xtrue)
-AM_CONDITIONAL(USE_IPSEC_SCRIPT, test x$stroke = xtrue -o x$scepclient = xtrue -o x$conftest = xtrue)
+AM_CONDITIONAL(USE_IPSEC_SCRIPT, test x$stroke = xtrue)
 AM_CONDITIONAL(USE_LIBCAP, test x$capabilities = xlibcap)
 AM_CONDITIONAL(USE_VSTR, test x$printf_hooks = xvstr)
 AM_CONDITIONAL(USE_BUILTIN_PRINTF, test x$printf_hooks = xbuiltin)
-AM_CONDITIONAL(USE_SIMAKA, test x$simaka = xtrue)
-AM_CONDITIONAL(USE_TLS, test x$tls = xtrue)
-AM_CONDITIONAL(USE_RADIUS, test x$radius = xtrue)
-AM_CONDITIONAL(USE_IMCV, test x$imcv = xtrue)
-AM_CONDITIONAL(USE_PTS, test x$pts = xtrue)
-AM_CONDITIONAL(USE_TROUSERS, test x$tss = xtrousers -o x$aikgen = xtrue)
 AM_CONDITIONAL(MONOLITHIC, test x$monolithic = xtrue)
 AM_CONDITIONAL(USE_SILENT_RULES, test x$enable_silent_rules = xyes)
 AM_CONDITIONAL(COVERAGE, test x$coverage = xtrue)
 AM_CONDITIONAL(USE_DBGHELP, test x$dbghelp_backtraces = xtrue)
-AM_CONDITIONAL(USE_TKM, test x$tkm = xtrue)
-AM_CONDITIONAL(USE_CMD, test x$cmd = xtrue)
-AM_CONDITIONAL(USE_AIKGEN, test x$aikgen = xtrue)
-AM_CONDITIONAL(USE_SWANCTL, test x$swanctl = xtrue)
-AM_CONDITIONAL(USE_SVC, test x$svc = xtrue)
 
 # ========================
 #  set global definitions
@@ -1519,19 +1007,8 @@ fi
 
 strongswan_options=
 
-AM_COND_IF([USE_AIKGEN], [strongswan_options=${strongswan_options}" aikgen"])
-AM_COND_IF([USE_ATTR_SQL], [strongswan_options=${strongswan_options}" pool"])
 AM_COND_IF([USE_CHARON], [strongswan_options=${strongswan_options}" charon charon-logging"])
 AM_COND_IF([USE_FILE_CONFIG], [strongswan_options=${strongswan_options}" starter"])
-AM_COND_IF([USE_IMV_ATTESTATION], [strongswan_options=${strongswan_options}" attest"])
-AM_COND_IF([USE_IMCV], [strongswan_options=${strongswan_options}" imcv"])
-AM_COND_IF([USE_IMV_OS], [strongswan_options=${strongswan_options}" pacman"])
-AM_COND_IF([USE_LIBTNCCS], [strongswan_options=${strongswan_options}" tnc"])
-AM_COND_IF([USE_MANAGER], [strongswan_options=${strongswan_options}" manager"])
-AM_COND_IF([USE_MEDSRV], [strongswan_options=${strongswan_options}" medsrv"])
-AM_COND_IF([USE_SCEPCLIENT], [strongswan_options=${strongswan_options}" scepclient"])
-AM_COND_IF([USE_PKI], [strongswan_options=${strongswan_options}" pki"])
-AM_COND_IF([USE_SWANCTL], [strongswan_options=${strongswan_options}" swanctl"])
 
 AC_SUBST(strongswan_options)
 
@@ -1549,176 +1026,39 @@ AC_CONFIG_FILES([
 	src/include/Makefile
 	src/libstrongswan/Makefile
 	src/libstrongswan/plugins/aes/Makefile
-	src/libstrongswan/plugins/cmac/Makefile
-	src/libstrongswan/plugins/des/Makefile
-	src/libstrongswan/plugins/blowfish/Makefile
-	src/libstrongswan/plugins/rc2/Makefile
-	src/libstrongswan/plugins/md4/Makefile
-	src/libstrongswan/plugins/md5/Makefile
+	src/libstrongswan/plugins/contactcrypto/Makefile
 	src/libstrongswan/plugins/sha1/Makefile
-	src/libstrongswan/plugins/sha2/Makefile
-	src/libstrongswan/plugins/fips_prf/Makefile
 	src/libstrongswan/plugins/gmp/Makefile
-	src/libstrongswan/plugins/rdrand/Makefile
 	src/libstrongswan/plugins/random/Makefile
 	src/libstrongswan/plugins/nonce/Makefile
 	src/libstrongswan/plugins/hmac/Makefile
-	src/libstrongswan/plugins/xcbc/Makefile
 	src/libstrongswan/plugins/x509/Makefile
 	src/libstrongswan/plugins/revocation/Makefile
 	src/libstrongswan/plugins/constraints/Makefile
-	src/libstrongswan/plugins/acert/Makefile
 	src/libstrongswan/plugins/pubkey/Makefile
-	src/libstrongswan/plugins/pkcs1/Makefile
-	src/libstrongswan/plugins/pkcs7/Makefile
-	src/libstrongswan/plugins/pkcs8/Makefile
-	src/libstrongswan/plugins/pkcs12/Makefile
-	src/libstrongswan/plugins/pgp/Makefile
-	src/libstrongswan/plugins/dnskey/Makefile
-	src/libstrongswan/plugins/sshkey/Makefile
 	src/libstrongswan/plugins/pem/Makefile
-	src/libstrongswan/plugins/curl/Makefile
-	src/libstrongswan/plugins/winhttp/Makefile
-	src/libstrongswan/plugins/unbound/Makefile
-	src/libstrongswan/plugins/soup/Makefile
-	src/libstrongswan/plugins/ldap/Makefile
-	src/libstrongswan/plugins/mysql/Makefile
-	src/libstrongswan/plugins/sqlite/Makefile
-	src/libstrongswan/plugins/padlock/Makefile
-	src/libstrongswan/plugins/openssl/Makefile
-	src/libstrongswan/plugins/gcrypt/Makefile
-	src/libstrongswan/plugins/agent/Makefile
-	src/libstrongswan/plugins/keychain/Makefile
-	src/libstrongswan/plugins/pkcs11/Makefile
-	src/libstrongswan/plugins/ctr/Makefile
-	src/libstrongswan/plugins/ccm/Makefile
-	src/libstrongswan/plugins/gcm/Makefile
-	src/libstrongswan/plugins/af_alg/Makefile
-	src/libstrongswan/plugins/ntru/Makefile
-	src/libstrongswan/plugins/test_vectors/Makefile
+	src/libstrongswan/plugins/usbbar/Makefile
 	src/libstrongswan/tests/Makefile
 	src/libhydra/Makefile
 	src/libhydra/plugins/attr/Makefile
-	src/libhydra/plugins/attr_sql/Makefile
 	src/libhydra/plugins/kernel_netlink/Makefile
-	src/libhydra/plugins/kernel_pfkey/Makefile
-	src/libhydra/plugins/kernel_pfroute/Makefile
 	src/libhydra/plugins/resolve/Makefile
 	src/libipsec/Makefile
-	src/libsimaka/Makefile
-	src/libtls/Makefile
-	src/libtls/tests/Makefile
-	src/libradius/Makefile
-	src/libtncif/Makefile
-	src/libtnccs/Makefile
-	src/libtnccs/plugins/tnc_tnccs/Makefile
-	src/libtnccs/plugins/tnc_imc/Makefile
-	src/libtnccs/plugins/tnc_imv/Makefile
-	src/libtnccs/plugins/tnccs_11/Makefile
-	src/libtnccs/plugins/tnccs_20/Makefile
-	src/libtnccs/plugins/tnccs_dynamic/Makefile
-	src/libpttls/Makefile
-	src/libpts/Makefile
-	src/libpts/plugins/imc_attestation/Makefile
-	src/libpts/plugins/imv_attestation/Makefile
-	src/libpts/plugins/imc_swid/Makefile
-	src/libpts/plugins/imv_swid/Makefile
-	src/libimcv/Makefile
-	src/libimcv/plugins/imc_test/Makefile
-	src/libimcv/plugins/imv_test/Makefile
-	src/libimcv/plugins/imc_scanner/Makefile
-	src/libimcv/plugins/imv_scanner/Makefile
-	src/libimcv/plugins/imc_os/Makefile
-	src/libimcv/plugins/imv_os/Makefile
 	src/charon/Makefile
-	src/charon-nm/Makefile
-	src/charon-tkm/Makefile
-	src/charon-cmd/Makefile
-	src/charon-svc/Makefile
 	src/libcharon/Makefile
-	src/libcharon/plugins/eap_aka/Makefile
-	src/libcharon/plugins/eap_aka_3gpp2/Makefile
-	src/libcharon/plugins/eap_dynamic/Makefile
-	src/libcharon/plugins/eap_identity/Makefile
-	src/libcharon/plugins/eap_md5/Makefile
-	src/libcharon/plugins/eap_gtc/Makefile
-	src/libcharon/plugins/eap_sim/Makefile
-	src/libcharon/plugins/eap_sim_file/Makefile
-	src/libcharon/plugins/eap_sim_pcsc/Makefile
-	src/libcharon/plugins/eap_simaka_sql/Makefile
-	src/libcharon/plugins/eap_simaka_pseudonym/Makefile
-	src/libcharon/plugins/eap_simaka_reauth/Makefile
-	src/libcharon/plugins/eap_mschapv2/Makefile
-	src/libcharon/plugins/eap_tls/Makefile
-	src/libcharon/plugins/eap_ttls/Makefile
-	src/libcharon/plugins/eap_peap/Makefile
-	src/libcharon/plugins/eap_tnc/Makefile
-	src/libcharon/plugins/eap_radius/Makefile
-	src/libcharon/plugins/xauth_generic/Makefile
-	src/libcharon/plugins/xauth_eap/Makefile
-	src/libcharon/plugins/xauth_pam/Makefile
-	src/libcharon/plugins/xauth_noauth/Makefile
-	src/libcharon/plugins/tnc_ifmap/Makefile
-	src/libcharon/plugins/tnc_pdp/Makefile
-	src/libcharon/plugins/socket_default/Makefile
-	src/libcharon/plugins/socket_dynamic/Makefile
-	src/libcharon/plugins/socket_win/Makefile
-	src/libcharon/plugins/farp/Makefile
-	src/libcharon/plugins/smp/Makefile
-	src/libcharon/plugins/sql/Makefile
-	src/libcharon/plugins/dnscert/Makefile
-	src/libcharon/plugins/ipseckey/Makefile
-	src/libcharon/plugins/medsrv/Makefile
-	src/libcharon/plugins/medcli/Makefile
-	src/libcharon/plugins/addrblock/Makefile
-	src/libcharon/plugins/unity/Makefile
-	src/libcharon/plugins/uci/Makefile
-	src/libcharon/plugins/ha/Makefile
+	src/libcharon/plugins/eap_bsts/Makefile
 	src/libcharon/plugins/kernel_libipsec/Makefile
-	src/libcharon/plugins/kernel_wfp/Makefile
-	src/libcharon/plugins/kernel_iph/Makefile
-	src/libcharon/plugins/whitelist/Makefile
-	src/libcharon/plugins/lookip/Makefile
-	src/libcharon/plugins/error_notify/Makefile
-	src/libcharon/plugins/certexpire/Makefile
-	src/libcharon/plugins/systime_fix/Makefile
-	src/libcharon/plugins/led/Makefile
-	src/libcharon/plugins/duplicheck/Makefile
-	src/libcharon/plugins/coupling/Makefile
-	src/libcharon/plugins/radattr/Makefile
-	src/libcharon/plugins/osx_attr/Makefile
-	src/libcharon/plugins/android_dns/Makefile
-	src/libcharon/plugins/android_log/Makefile
-	src/libcharon/plugins/maemo/Makefile
+	src/libcharon/plugins/socket_default/Makefile
 	src/libcharon/plugins/stroke/Makefile
-	src/libcharon/plugins/vici/Makefile
 	src/libcharon/plugins/updown/Makefile
 	src/libcharon/plugins/dhcp/Makefile
-	src/libcharon/plugins/unit_tester/Makefile
-	src/libcharon/plugins/load_tester/Makefile
 	src/stroke/Makefile
 	src/ipsec/Makefile
 	src/starter/Makefile
 	src/starter/tests/Makefile
 	src/_updown/Makefile
 	src/_updown_espmark/Makefile
-	src/_copyright/Makefile
-	src/scepclient/Makefile
-	src/aikgen/Makefile
-	src/pki/Makefile
-	src/pki/man/Makefile
-	src/pool/Makefile
-	src/dumm/Makefile
-	src/dumm/ext/extconf.rb
-	src/libfast/Makefile
-	src/manager/Makefile
-	src/medsrv/Makefile
-	src/checksum/Makefile
-	src/conftest/Makefile
-	src/pt-tls-client/Makefile
-	src/swanctl/Makefile
 	scripts/Makefile
-	testing/Makefile
 ])
 
 # =================
@@ -1730,22 +1070,6 @@ AC_CONFIG_FILES([
 	conf/strongswan.conf.5.tail
 	man/ipsec.conf.5
 	man/ipsec.secrets.5
-	src/charon-cmd/charon-cmd.8
-	src/pki/man/pki.1
-	src/pki/man/pki---gen.1
-	src/pki/man/pki---issue.1
-	src/pki/man/pki---keyid.1
-	src/pki/man/pki---pkcs7.1
-	src/pki/man/pki---print.1
-	src/pki/man/pki---pub.1
-	src/pki/man/pki---req.1
-	src/pki/man/pki---self.1
-	src/pki/man/pki---signcrl.1
-	src/pki/man/pki---acert.1
-	src/pki/man/pki---verify.1
-	src/swanctl/swanctl.8
-	src/swanctl/swanctl.conf.5.head
-	src/swanctl/swanctl.conf.5.tail
 ])
 
 AC_OUTPUT
@@ -1755,11 +1079,9 @@ AC_OUTPUT
 # ========================
 
 AC_MSG_RESULT([])
-AC_MSG_RESULT([ strongSwan will be built with the following plugins])
+AC_MSG_RESULT([ strongSwanCont will be built with the following plugins])
 AC_MSG_RESULT([-----------------------------------------------------])
 
 AC_MSG_RESULT([libstrongswan:$s_plugins])
 AC_MSG_RESULT([libcharon:    $c_plugins])
 AC_MSG_RESULT([libhydra:     $h_plugins])
-AC_MSG_RESULT([libtnccs:     $t_plugins])
-AC_MSG_RESULT([])
diff --git a/strongswan-5.2.0/src/Makefile.am b/strongswan-5.2.0/src/Makefile.am
index 95c68d0..b4c03a2 100644
--- a/strongswan-5.2.0/src/Makefile.am
+++ b/strongswan-5.2.0/src/Makefile.am
@@ -12,38 +12,6 @@ if USE_LIBIPSEC
   SUBDIRS += libipsec
 endif
 
-if USE_SIMAKA
-  SUBDIRS += libsimaka
-endif
-
-if USE_TLS
-  SUBDIRS += libtls
-endif
-
-if USE_RADIUS
-  SUBDIRS += libradius
-endif
-
-if USE_LIBTNCIF
-  SUBDIRS += libtncif
-endif
-
-if USE_LIBTNCCS
-  SUBDIRS += libtnccs
-endif
-
-if USE_LIBPTTLS
-  SUBDIRS += libpttls
-endif
-
-if USE_IMCV
-  SUBDIRS += libimcv
-endif
-
-if USE_PTS
-  SUBDIRS += libpts
-endif
-
 if USE_LIBCHARON
   SUBDIRS += libcharon
 endif
@@ -53,85 +21,17 @@ if USE_FILE_CONFIG
 endif
 
 if USE_IPSEC_SCRIPT
-  SUBDIRS += ipsec _copyright
+  SUBDIRS += ipsec 
 endif
 
 if USE_CHARON
   SUBDIRS += charon
 endif
 
-if USE_NM
-  SUBDIRS += charon-nm
-endif
-
 if USE_STROKE
   SUBDIRS += stroke
 endif
 
 if USE_UPDOWN
   SUBDIRS += _updown _updown_espmark
-endif
-
-if USE_SCEPCLIENT
-  SUBDIRS += scepclient
-endif
-
-if USE_PKI
-  SUBDIRS += pki
-endif
-
-if USE_SWANCTL
-  SUBDIRS += swanctl
-endif
-
-if USE_CONFTEST
-  SUBDIRS += conftest
-endif
-
-if USE_DUMM
-  SUBDIRS += dumm
-endif
-
-if USE_FAST
-  SUBDIRS += libfast
-endif
-
-if USE_MANAGER
-  SUBDIRS += manager
-endif
-
-if USE_MEDSRV
-  SUBDIRS += medsrv
-endif
-
-if USE_ATTR_SQL
-  SUBDIRS += pool
-else
-if USE_SQL
-  SUBDIRS += pool
-endif
-endif
-
-if USE_TKM
-  SUBDIRS += charon-tkm
-endif
-
-if USE_CMD
-  SUBDIRS += charon-cmd
-endif
-
-if USE_SVC
-  SUBDIRS += charon-svc
-endif
-
-if USE_LIBPTTLS
-  SUBDIRS += pt-tls-client
-endif
-
-if USE_INTEGRITY_TEST
-  SUBDIRS += checksum
-endif
-
-if USE_AIKGEN
-  SUBDIRS += aikgen
-endif
+endif
\ No newline at end of file
